Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1577)

Unified Diff: src/cmd/go/test.bash

Issue 6741050: code review 6741050: cmd/go: make package list order predicable (Closed)
Patch Set: diff -r 8a8a88122a40 https://code.google.com/p/go/ Created 11 years, 5 months ago
Use n/p to move between diff chunks; N/P to move between comments. Please Sign in to add in-line comments.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « src/cmd/go/pkg.go ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: src/cmd/go/test.bash
===================================================================
--- a/src/cmd/go/test.bash
+++ b/src/cmd/go/test.bash
@@ -142,6 +142,18 @@
ok=false
fi
+# ensure that output of 'go list' is consistent between runs
+./testgo list std > test_std.list
+if ! ./testgo list std | cmp -s test_std.list - ; then
+ echo "go list std ordering is inconsistent"
+ ok=false
+fi
+rm -f test_std.list
+
+# clean up
+rm -rf testdata/bin testdata/bin1
+rm -f testgo
+
if $ok; then
echo PASS
else
« no previous file with comments | « src/cmd/go/pkg.go ('k') | no next file » | no next file with comments »

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b